API

Update a staff group

Updates a staff group. Omitted fields are left unchanged; a provided employees list replaces the current members.

POST/v1/hq/staff_groups/{staff_group_id}
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

staff_group_id*string

Staff Group ID

Query Parameters

select?array<string>
expand?array<string>

Request Body

application/json

company?string|
employees?
title?string
Example"Colorists"
order?integer
Formatint32
Example1

Response Body

application/json

application/json

curl -X POST "https://api.noona.is/v1/hq/staff_groups/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "7awdXwZoedakjad37a",
  "company": "string",
  "employees": [
    "string"
  ],
  "title": "Colorists",
  "order": 1,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "message": "Customer onboarding error."
}
Empty
Empty
Empty
Empty